import request from '@/utils/request'

// 查询考试通过列表
export function listPass(query) {
  return request({
    url: '/drivingSchool/system/pass/list',
    method: 'get',
    params: query
  })
}

// 查询考试通过详细
export function getPass(id) {
  return request({
    url: '/drivingSchool/system/pass/' + id,
    method: 'get'
  })
}

// 新增考试通过
export function addPass(data) {
  return request({
    url: '/drivingSchool/system/pass',
    method: 'post',
    data: data
  })
}

// 修改考试通过
export function updatePass(data) {
  return request({
    url: '/drivingSchool/system/pass',
    method: 'put',
    data: data
  })
}

// 删除考试通过
export function delPass(id) {
  return request({
    url: '/drivingSchool/system/pass/' + id,
    method: 'delete'
  })
}
